//
//  CalcController.m
//  Calculator
//
//  Created by René Hexel on 28/03/11.
//  Copyright 2011 ICT. All rights reserved.
//

#import "CalcController.h"


@implementation CalcController
@synthesize leftField;
@synthesize rightField;
@synthesize resultLabel;

- (id) initWithNibName: (NSString *) nibNameOrNil
                bundle: (NSBundle *) nibBundleOrNil
{
    self = [super initWithNibName: nibNameOrNil
                           bundle: nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)dealloc
{
        [leftField release];
        [rightField release];
        [resultLabel release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
        [super viewDidLoad];

        resultLabel.text = @"";
}

- (void)viewDidUnload
{
        [self setLeftField:nil];
        [self setRightField:nil];
        [self setResultLabel:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL) shouldAutorotateToInterfaceOrientation: (UIInterfaceOrientation) interfaceOrientation
{
        return YES;
}

- (IBAction) calculate: (id) sender
{
        double left = [leftField.text doubleValue];
        double right = [rightField.text doubleValue];
        double result = left - right;

        resultLabel.text = [NSString stringWithFormat: @"%g", result];
}

@end
